package musicstore;

import java.rmi.RemoteException;
import javax.ejb.*;
import javax.naming.*;
import javax.rmi.PortableRemoteObject;
import musicstore.*;


public class MusicClient {

    public static void main(String[] args) {
        Context     c    = null;
        MusicCDHome home = null;
        MusicCD     cd   = null, cd2 = null;
        try {
            c = new InitialContext();
        }
        catch (NamingException e) {
            System.err.println("Fehler:der Context konnte nicht gelesen werden.");
        }
        try {
            Object obj = c.lookup("ejb/MusicCD");
            home = (MusicCDHome) PortableRemoteObject.narrow(obj, MusicCDHome.class);
        }
        catch (Exception e) {
            System.err.println("Fehler: Lookup von MusicCDHome schlug fehl.");
        }
        //
        // Ihre Lieblings CD ('music.barnesandnoble.com', cdnow, ...):
        //
        try {
            cd = home.create("743214270996");
        }
        catch (Exception e) {
            System.err.println("Fehler: neue CD konnte nicht kreiert werden.");
            System.err.println(e);
            e.printStackTrace();
        }
        try {
            cd.setTitle("Apache Indian");
            cd.setArtist("Apache Indian");
            cd.setType("Bhangra Rap");
            cd.setPrice((float) 12.58);
        }
        catch (RemoteException e) {
            System.err.println("Fehler: neue CD konnte nicht mutiert werden.");
            e.printStackTrace();
        }
        try {
		String mykey="743214270996";
            cd2 = home.findByPrimaryKey(mykey);
            System.out.println("Titel: "  + cd2.getTitle());
            System.out.println("Artist: " + cd2.getArtist());
            System.out.println("Type: "   + cd2.getType());
            System.out.println("Preis: "  + cd2.getPrice());
        }
        catch (Exception e) {
            System.err.println("Fehler: Zugriff auf die neue CD mit dem Primrschlssel schlug fehl.");
            e.printStackTrace();
        }
    }
}

