package musicstore;

import java.rmi.RemoteException;
import javax.ejb.*;
import javax.naming.*;
import musicstore.*;


public class MusicInventoryClient {

    public static void main(String[] args) {
        Context c = null;
        InventoryHome home = null;
        Inventory inv = null;
        try {
            c = new InitialContext();
        }
        catch (NamingException e) {
            System.err.println("Fehler: Context konnte nicht gelesen werden.");
        }
        try {
            home = (InventoryHome) c.lookup("ejb/Inventory");
        }
        catch (Exception e) {
            System.err.println("Fehler: InventoryHome Lookup schlug fehl.");
        }
        try {
            inv = home.create();
        }
        catch (Exception e) {
            System.err.println("Fehler: neues Inventory Object konnte nicht kreiert werden.");
        }
        try {
            System.out.println("Aufbau einer neuen Inventarliste...");
            MusicData[] md = new MusicData[3];
            md[0] = new MusicData("724382783824", "Richard Elliot",
                                  "After Dark", "Jazz", (float) 12.99);
            md[1] = new MusicData("16126513829", "Karla Bonoff",
                                  "New World", "Rock", (float) 11.49);
            md[2] = new MusicData("724387755925", "Cusco",
                                  "Apurimac II", "New Age", (float) 12.99);
            System.out.println("Eintragen der neuen Inventarliste...");
            boolean success = inv.addInventory(md);
            if (success)
                System.out.println("Neue Inventarliste wurde in die Datenbank eingetragen.");
            else
                System.err.println("Fehler: neue Inventarliste konnte nicht eingetragen werden.");
        }
        catch (Exception e) {
            System.err.println("Fehler: beim Einfgen der Inventarliste ist eine Exception aufgetreten.");
        }
    }
}
