/**** MusicCDCreateTables.java ****/
package test;

import java.sql.*;

/**
 * Title:        Enterprise Java Database
 * Description:  Einfaches Setup Programm fr die Testdatenbank
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss
 * @author J.M.Joller
 * @version 1.0
 */

public class MusicCDCreateTables {
  public static void main(String[] args) {
    if (usageOnly(args))
      return;
    // funktioniert mit standalone Cloudscape aus J2EE1.2.1
    String driver = "COM.cloudscape.core.JDBCDriver";
    // J2EE 1.3 Beta
    //driver = "COM.cloudscape.core.RmiJdbcDriver";
    if (args.length > 0)
      driver = args[0];
    // funktioniert mit standalone Cloudscape aus J2EE1.2.1
    String url = "jdbc:cloudscape:MusicStoreDB;create=true";
    // J2EE 1.3 Beta
    // url="jdbc:cloudscape:rmi:CloudscapeDB;create=true;";
    if (args.length > 1)
      url = args[1];
    try {
      System.out.println("Verbindungsaufbau: Treiber="+driver);
      Class.forName(driver).newInstance();
      System.out.println("Verbindungsaufbau: URL="+url);
      Connection con = DriverManager.getConnection(url,"sa","admin");
      System.out.println("Verbunden mit URL=" + url);
      Statement stmt = con.createStatement();

      String sql= "create table MUSICCD (" +
        "UPC varchar(30) primary key," +
        "TITLE varchar(50)," +
        "ARTIST varchar(30)," +
        "TYPE varchar(20)," +
        "PRICE decimal(10,2))";
      System.out.println("Verbindungsaufbau: SQLr="+sql);

      stmt.execute(sql);
      System.out.println("Verbindung schliessen");
      stmt.close();
      con.close();
      System.out.println("Ende");
    }
    catch (SQLException ex) {
      System.err.println("\nSQLException...\n");
      while (ex != null) {
        System.err.println("SQLState: " + ex.getSQLState());
        System.err.println("Message:  " + ex.getMessage());
        System.err.println("Vendor:   " + ex.getErrorCode());
        ex = ex.getNextException();
        System.err.println("");
      }
    }
    catch (Exception ex) {
      ex.printStackTrace();
    }
  }

  private static boolean usageOnly(String[] args) {
    if (args.length > 0) {
      if (args[0].equalsIgnoreCase("-help") ||
          args[0].equalsIgnoreCase("-h") ||
          args[0].equalsIgnoreCase("-usage") ||
          args.length > 2)
        System.out.println(
          "Usage: java MusicCDCreateTables" +
          " [<driver>] [<url>]");
      return true;
    }
    else
      return false;
  }
} // MusicCDCreateTables class //
