/**** MusicCDInsertRecords.java ****/
package test;

import java.sql.*;

/**
 * Title:        Enterprise Java Database
 * Description:  Einfaches Setup Programm fr die Testdatenbank
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss
 * @author J.M.Joller
 * @version 1.0
 */

public class MusicCDInsertRecords {
  public static void main(String[] args) {
    if (usageOnly(args))
      return;
    String driver = "COM.cloudscape.core.JDBCDriver";
    if (args.length > 0)
      driver = args[0];
    String url = "jdbc:cloudscape:MusicStoreDB";
    if (args.length > 1)
      url = args[1];
    try {
      System.out.println("Verbindungsaufbau: Driver=" + driver);
      Class.forName(driver).newInstance();
      Connection con = DriverManager.getConnection(url);
      System.out.println("Verbunden mit URL= " + url);
      Statement stmt = con.createStatement();

      System.out.println("Einfuegen der Daten in die DB");
      stmt.executeUpdate("insert into MUSICCD values ('74646732120', 'Retrospective', 'Rosanne Cash', 'Country', 13.95)");
      stmt.executeUpdate("insert into MUSICCD values ('731454058728', 'Sheryl Crow', 'Sheryl Crow', 'Rock', 13.95)");
      stmt.executeUpdate("insert into MUSICCD values ('77778929727', 'Common Ground', 'Everette Harp', 'Jazz', 13.95)");
      stmt.executeUpdate("insert into MUSICCD values ('8811163020', 'Piel de Angel', 'Lucero', 'Latin', 13.95)");
      stmt.executeUpdate("insert into MUSICCD values ('706301572627', 'Las Cosas Que Vives', 'Laura Pausini', 'Latin', 13.95)");
      System.out.println("Schliessen der Verbindung zur DB");
      stmt.close();
      con.close();
    }
    catch (SQLException ex) {
      System.err.println("\nSQLException...\n");
      while (ex != null) {
        System.err.println("SQLState: " + ex.getSQLState());
        System.err.println("Message:  " + ex.getMessage());
        System.err.println("Vendor:   " + ex.getErrorCode());
        ex = ex.getNextException();
        System.err.println("");
      }
    }
    catch (Exception ex) {
      ex.printStackTrace();
    }
  }

  private static boolean usageOnly(String[] args) {
    if (args.length > 0) {
      if (args[0].equalsIgnoreCase("-help") ||
          args[0].equalsIgnoreCase("-h") ||
          args[0].equalsIgnoreCase("-usage") ||
          args.length > 2)
        System.out.println(
          "Usage: java MusicCDInsertRecords" +
          " [<driver>] [<url>]");
      return true;
    }
    else
      return false;
  }
} // MusicCDInsertRecords class //
